

# ListPentestJobsForPentest
<a name="API_ListPentestJobsForPentest"></a>

Returns a paginated list of pentest job summaries for the specified pentest configuration.

## Request Syntax
<a name="API_ListPentestJobsForPentest_RequestSyntax"></a>

```
POST /ListPentestJobsForPentest HTTP/1.1
Content-type: application/json

{
   "agentSpaceId": "string",
   "maxResults": number,
   "nextToken": "string",
   "pentestId": "string"
}
```

## URI Request Parameters
<a name="API_ListPentestJobsForPentest_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_ListPentestJobsForPentest_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [agentSpaceId](#API_ListPentestJobsForPentest_RequestSyntax) **   <a name="securityagent-ListPentestJobsForPentest-request-agentSpaceId"></a>
The unique identifier of the agent space.  
Type: String  
Required: Yes

 ** [maxResults](#API_ListPentestJobsForPentest_RequestSyntax) **   <a name="securityagent-ListPentestJobsForPentest-request-maxResults"></a>
The maximum number of results to return in a single call.  
Type: Integer  
Required: No

 ** [nextToken](#API_ListPentestJobsForPentest_RequestSyntax) **   <a name="securityagent-ListPentestJobsForPentest-request-nextToken"></a>
A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.  
Type: String  
Required: No

 ** [pentestId](#API_ListPentestJobsForPentest_RequestSyntax) **   <a name="securityagent-ListPentestJobsForPentest-request-pentestId"></a>
The unique identifier of the pentest to list jobs for.  
Type: String  
Required: Yes

## Response Syntax
<a name="API_ListPentestJobsForPentest_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "pentestJobSummaries": [ 
      { 
         "createdAt": "string",
         "pentestId": "string",
         "pentestJobId": "string",
         "status": "string",
         "title": "string",
         "updatedAt": "string"
      }
   ]
}
```

## Response Elements
<a name="API_ListPentestJobsForPentest_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_ListPentestJobsForPentest_ResponseSyntax) **   <a name="securityagent-ListPentestJobsForPentest-response-nextToken"></a>
A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.  
Type: String

 ** [pentestJobSummaries](#API_ListPentestJobsForPentest_ResponseSyntax) **   <a name="securityagent-ListPentestJobsForPentest-response-pentestJobSummaries"></a>
The list of pentest job summaries.  
Type: Array of [PentestJobSummary](API_PentestJobSummary.md) objects

## Errors
<a name="API_ListPentestJobsForPentest_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

## See Also
<a name="API_ListPentestJobsForPentest_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/securityagent-2025-09-06/ListPentestJobsForPentest) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/securityagent-2025-09-06/ListPentestJobsForPentest) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/securityagent-2025-09-06/ListPentestJobsForPentest) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/securityagent-2025-09-06/ListPentestJobsForPentest) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/securityagent-2025-09-06/ListPentestJobsForPentest) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/securityagent-2025-09-06/ListPentestJobsForPentest) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/securityagent-2025-09-06/ListPentestJobsForPentest) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/securityagent-2025-09-06/ListPentestJobsForPentest) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/securityagent-2025-09-06/ListPentestJobsForPentest) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/securityagent-2025-09-06/ListPentestJobsForPentest) 